import React from "react";
import { Link } from "react-router-dom";
import './Sidebar.sass';

class Sidebar extends React.Component {
    render() {
        return (
            <div className="Sidebar">
                <div className="Sidebar__MainInfo">
                    <img className="Sidebar__MainInfo_Avatar" src="https://avatars.githubusercontent.com/u/13962582?v=4" alt="" />
                    <div className="Sidebar__MainInfo_Name">
                        Nix13
                    </div>
                </div>

                <div className="Sidebar__Links">
                    <Link className="Sidebar__Links_Link" to='/'>
                        <i className="fa-light fa-house"/>
                        Главная
                    </Link>
                    <Link className="Sidebar__Links_Link" to='/projects'>
                        <i className="fa-light fa-bars"/>
                        Проекты
                    </Link>
                </div>

                <div className="Sidebar__SocialLinks">
                    <a className="Sidebar__SocialLinks_Link" href='https://t.me/DarkShinigani' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-brands fa-telegram"/>
                        Телеграм
                    </a>
                    <a className="Sidebar__SocialLinks_Link" href='https://vk.com/scur0nek0' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-brands fa-vk"/>
                        ВК
                    </a>

                    <a className="Sidebar__SocialLinks_Link" href='https://github.com/Nix1304' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-brands fa-github"/>
                        GitHub
                    </a>
                    <a className="Sidebar__SocialLinks_Link" href='https://git.nix13.pw/' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-brands fa-git"/>
                        Git
                    </a>
                    <a className="Sidebar__SocialLinks_Link" href='https://mvn.nix13.pw/' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-brands fa-readme"></i>
                        Maven
                    </a>
                    <a className="Sidebar__SocialLinks_Link" href='https://files.nix13.pw/' target='_blank' rel='noopener noreferrer'>
                        <i className="fa-light fa-files"/>
                        Files
                    </a>
                </div>
            </div>
        );
    }
}

export default Sidebar;